QuantLib: ArithmeticAveragedOvernightIndexedCouponPricer Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.20

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
ArithmeticAveragedOvernightIndexedCouponPricer Class Reference

`#include <ql/experimental/averageois/averageoiscouponpricer.hpp>`

Inheritance diagram for ArithmeticAveragedOvernightIndexedCouponPricer:
[legend]

## Public Member Functions
| ArithmeticAveragedOvernightIndexedCouponPricer (Real meanReversion=0.03, Real volatility=0.00, bool byApprox=false)
void | initialize (const FloatingRateCoupon &coupon)
Rate | swapletRate () const
Real | swapletPrice () const
Real | capletPrice (Rate) const
Rate | capletRate (Rate) const
Real | floorletPrice (Rate) const
Rate | floorletRate (Rate) const
Public Member Functions inherited from FloatingRateCouponPricer
void | update ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const ext::shared_ptr< Observable > &)
void | registerWithObservables (const ext::shared_ptr< Observer > &)
Size | unregisterWith (const ext::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()

## Protected Member Functions
Real | convAdj1 (Time ts, Time te) const
Real | convAdj2 (Time ts, Time te) const

## Protected Attributes
const OvernightIndexedCoupon * | coupon_
bool | byApprox_
Real | mrs_
Real | vol_

## Additional Inherited Members
Public Types inherited from Observer
typedef boost::unordered_set< ext::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator

## Detailed Description

pricer for arithmetically averaged overnight indexed coupons Reference: Katsumi Takada 2011, Valuation of Arithmetically Average of Fed Funds Rates and Construction of the US Dollar Swap Yield Curve